Highlight Code eklenti hatası

Highlight Code eklenti hatası

#2621 İleti | emrepinarbasi | 01 Nis 2020, 11:57

Merhabalar, 10.14.6 Macosx sistem üzerinde 6.4.2.2 versiyon Libreoffice kullanıyorum. Highlight Code eklentisini kurup kullanmak istediğimde aşağıdaki hatayı alıyorum

Python, vnd.sun.star.script:codehighlighter.oxt|python|highlight.py$create_dialog?language=Python&location=user:uno_packages betiği çalıştırılırken, betik dili çatı hatası oluştu.

Mesaj: <class 'ImportError'>: No module named 'pygments' (or 'pygments.styles' is unknown)
File "/Applications/LibreOffice.app/Contents/Resources/pythonscript.py", line 1063, in getScript
mod = self.provCtx.getModuleByUrl( fileUri )
File "/Applications/LibreOffice.app/Contents/Resources/pythonscript.py", line 500, in getModuleByUrl
exec(code, entry.module.__dict__)
File "/Users/neyzen/Library/Application Support/LibreOffice/4/user/uno_packages/cache/uno_packages/lu13187icht.tmp_/codehighlighter.oxt/python/highlight.py", line 21, in <module>
from pygments import styles
File "/Applications/LibreOffice.app/Contents/Resources/uno.py", line 434, in _uno_import
raise uno_import_exc
File "/Applications/LibreOffice.app/Contents/Resources/uno.py", line 356, in _uno_import
return _builtin_import(name, *optargs, **kwargs)

Eklenti sayfasındaki talimatlar doğrulturunda yönlendirmelerin tümünü yapmama rağmen malesef sorunu çözemedim. Yrdımcı olabilecek var mı konu ile ilgili?
emrepinarbasi
 
İleti: 3
Kayıt: 31 Mar 2020, 10:33
İşletim Sisteminiz: Macosx
LibreOffice Sürümü: 6.4.2.2

Re: Highlight Code eklenti hatası

#2622 İleti | Hamurcu | 03 Nis 2020, 21:16

MacOS icin de gecerli mi bilmiyorum ama bilgisayarinizda Python ve Pygments'in yuklu olmasi gerekiyor.
Kullanıcı avatarı
Hamurcu
 
İleti: 200
Kayıt: 06 Ağu 2012, 00:14
Konum: İstanbul
İşletim Sisteminiz: Windows 10
LibreOffice Sürümü: 6.x


Eklentiler

Kimler çevrimiçi

Kayıtlı kullanıcılar: Google [Bot]

cron